# How to Contribute

I would be very happy about any kind of contributions that help to improve and extend the functionality of PyProt.


## Getting Started

- If you don't have a [GitHub](https://github.com) account yet, please create one to contribute to this project.
- Please submit a ticket for your issue to discuss the fix or new feature before too much time and effort is spent for the implementation.
- Fork the `pyprot` repository.

## Making Changes

- Please avoid working directly on the master branch but create a new feature branch (`git branch new_feature`, `git checkout new_feature`)
- When you make changes, please provide meaningful `commit` messages.
- If it is a new feature, please update the documentation.
- Make an entry in the `CHANGELOG.md` file.
- Add tests to the `pyprot/tests` directory.
- Run all tests (e.g., via `nosetests`  or `pytest`).
- Push your changes to a topic branch and submit a `pull request`.